library(shiny)

shinyUI(fluidPage(

  titlePanel("How to do a Frequency Table and draw a Histogram"),

  sidebarLayout(
      sidebarPanel( 
          HTML("<a class='btn' href='/'><b>Start Over!</b></a>"),
          selectInput("which","Choose type of data",
                  choices=c("Type I","Type II","Type III","Type IIII")),
          numericInput("n","Sample Size n", min=50,max=200,value=100),             
          textInput("classwidth","Classwidth"),
          numericInput("adj","Adjustment of Right Edge of Classes",value=0),
          textInput("left","Left Endpoint",value=" "),                           
          HTML("<h5>To do see what the histogram looks like select the Plot tab</h5>"),
          HTML("<h5>To do a new example click Start Over!<br>to clear Classwidth and Left Endpoint</h5>"),        
          HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;"),
          HTML("<a target=\"_blank\" href=\"http://academic.uprm.edu/wrolke/myapps1.htm#histogram\"><h4>What to do</h4></a>"),
          HTML("<h6>Written by: Dr. Wolfgang Rolke</h6>"),
          HTML("<h6>Created: 11/28/2014</h6>"),width=4
        ),
        mainPanel(
      tabsetPanel(
          tabPanel("Dataset",uiOutput("datatable1")),
          tabPanel("Plot",uiOutput("datatable2"),uiOutput("text2"),uiOutput("text3"),uiOutput("text1"),plotOutput("plot1")),
          id="mytabs"
      )  
      )
    ),
    uiOutput("explainText")    
    
  
))

